VERSION 5.00
Begin VB.Form frmClipFileCopy 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Filelist to Clipboard Demo"
   ClientHeight    =   4665
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4140
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4665
   ScaleWidth      =   4140
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdPaste 
      Caption         =   """&Paste"""
      Height          =   435
      Left            =   2700
      TabIndex        =   5
      Top             =   960
      Width           =   1335
   End
   Begin VB.CommandButton cmdExit 
      Cancel          =   -1  'True
      Caption         =   "E&xit"
      Height          =   435
      Left            =   2700
      TabIndex        =   6
      Top             =   1560
      Width           =   1335
   End
   Begin VB.CommandButton cmdCopy 
      Caption         =   """&Copy"""
      Default         =   -1  'True
      Height          =   435
      Left            =   2700
      TabIndex        =   4
      Top             =   360
      Width           =   1335
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   60
      TabIndex        =   3
      Top             =   4260
      Width           =   2535
   End
   Begin VB.DirListBox Dir1 
      Height          =   1440
      Left            =   60
      TabIndex        =   2
      Top             =   2700
      Width           =   2535
   End
   Begin VB.FileListBox File1 
      Height          =   2235
      Left            =   60
      MultiSelect     =   2  'Extended
      TabIndex        =   1
      Top             =   360
      Width           =   2535
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Select &File(s) to Copy:"
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1530
   End
End
Attribute VB_Name = "frmClipFileCopy"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' *************************************************************
'  Copyright (C)1995-98, Karl E. Peterson
'  Author grants royalty-free rights to use this code within
'  compiled applications. Selling or otherwise distributing
'  this source code is not allowed without author's express
'  permission.
' *************************************************************
Option Explicit

Private Sub cmdCopy_Click()
   Dim Files() As String
   Dim Path As String
   Dim i As Long, n As Long
   
   ' Make sure path has trailing backslash.
   Path = Dir1.Path
   If Right(Path, 1) <> "\" Then
      Path = Path & "\"
   End If
   
   ' Build array of files.
   With File1
      For i = 0 To .ListCount - 1
         If .Selected(i) Then
            ReDim Preserve Files(0 To n) As String
            Files(n) = Path & .List(i)
            n = n + 1
         End If
      Next i
   End With
   
   ' Copy to clipboard.
   If clipCopyFiles(Files) Then
      MsgBox "Files copied to clipboard " & _
         "as Dropped Filelist.", , "Success"
   Else
      MsgBox "clipCopyFiles failed...", , "Failure"
   End If
End Sub

Private Sub cmdExit_Click()
   Unload Me
End Sub

Private Sub cmdPaste_Click()
   Dim Files() As String
   Dim nRet As Long
   Dim i As Long
   Dim msg As String
   
   nRet = clipPasteFiles(Files)
   If nRet Then
      For i = 0 To nRet - 1
         msg = msg & Files(i) & vbCrLf
      Next i
      MsgBox msg, , nRet & " Files Retrieved"
   Else
      MsgBox "clipPasteFiles failed...", , "Failure"
   End If
End Sub

Private Sub Dir1_Change()
   File1.Path = Dir1.Path
End Sub

Private Sub Drive1_Change()
   Dir1.Path = Drive1.Drive
End Sub

Private Sub Form_Load()
   Set Me.Icon = Nothing
End Sub
